//
//  MPExternalMediaContentManager.h
//  MediaPlayerFramework
//
//  Copyright © 2016 Apple Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MediaPlayer/MediaPlayerDefines.h>

NS_ASSUME_NONNULL_BEGIN

MP_API(ios(10.1))
@interface MPExternalMediaContentManager : NSObject

/// Returns the shared external media content manager.
/// This object can be used to manage system playback activity associated with media content in the application.
+ (instancetype)sharedManager;

/// Deletes any playback activity associated with the given media content identifier in the app's media content catalog.
- (void)deletePlaybackActivityWithIdentifier:(NSString *)externalMediaContentIdentifier;

@end

NS_ASSUME_NONNULL_END
